package kandata.launcher;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

class DeleteSiteAction extends AbstractAction {
	KandataLauncher launcher;
	DeleteSiteAction(KandataLauncher launcher) {
		super("サイトの削除");
		putValue(SMALL_ICON, ApplicationResources.loadIcon("delete.png"));
		putValue(ACCELERATOR_KEY, KeyStroke.getKeyStroke(KeyEvent.VK_ENTER, Event.SHIFT_MASK));
		putValue(SHORT_DESCRIPTION, "サイトを削除します...");
		this.launcher = launcher;
	}
	/** アクションが発生すると呼び出されます。 */
	public void actionPerformed(ActionEvent e) {
		launcher.deleteSite();
	}
}
